Bug 598309 - part-list and several other cmd failed on libguestfs on RHEL5
Summary: part-list and several other cmd failed on libguestfs on RHEL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libguestfs
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-01 03:50 UTC by Pengzhen Cao
Modified: 2010-11-09 13:26 UTC (History)
5 users (show)

Fixed In Version: libguestfs-1.2.7-1.el5.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-27 19:48:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0566 0 normal SHIPPED_LIVE virt-v2v bug fix update 2010-07-27 19:47:38 UTC

Comment 1 Jinxin Zheng 2010-06-01 05:36:08 UTC
This also happen on my RHEL 5.4 system, 

><fs> verbose 1
><fs> part-list /dev/vda
send_to_daemon: 0x125f8050 g->state = 3, n = 40
recv_from_daemon: 0x125f8050 g->state = 3, size_rtn = 0x7fff4368090c, buf_rtn = 0x7fff43680900
parted -m -- /dev/vda unit b print
parted: invalid option -- m
guestfsd: error: unknown signature, expected "BYT;" as first line of the output: 
libguestfs: error: part_list: unknown signature, expected "BYT;" as first line of the output: 

><fs> verbose 0
><fs> debug sh 'parted --version'
GNU Parted 1.8.1

the 1.8.1 version of parted does not support the -m option. but the daemon hard coded the -m.

Comment 2 Richard W.M. Jones 2010-06-01 09:29:16 UTC
Yes, this is a real bug.  It's one that we were already discovering and
avoiding in our EL-5 build.  See:

http://cvs.fedoraproject.org/viewvc/EL-5/libguestfs/libguestfs.spec?view=markup

482	# Parted in EPEL 5 doesn't support -m (machine-friendly) option, and
483	# (not being very machine-friendly) doesn't make it easy to detect
484	# this fact.  You would see errors like this:
485	#
486	#   /sbin/parted -m -- /dev/vda unit b print
487	#   /sbin/parted: invalid option -- m
488	#   guestfsd: error: unknown signature, expected "BYT;" [...]
489	export SKIP_TEST_PART_GET_PARTTYPE=1
490	export SKIP_TEST_PART_GET_BOOTABLE=1

But it's one which we need to fix by emulating parted.

Comment 3 Richard W.M. Jones 2010-06-02 14:47:31 UTC
Patch posted upstream:
https://www.redhat.com/archives/libguestfs/2010-June/msg00026.html

Comment 4 Fedora Update System 2010-06-02 21:12:20 UTC
libguestfs-1.2.9-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.9-1.el5

Comment 5 Fedora Update System 2010-06-02 21:26:06 UTC
libguestfs-1.2.9-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.9-1.fc13

Comment 6 Fedora Update System 2010-06-03 08:48:44 UTC
libguestfs-1.2.9-1.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.9-1.el5.1

Comment 8 Richard W.M. Jones 2010-07-06 13:40:29 UTC
Full build here (not finished as I write this):

http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2576284

Comment 12 errata-xmlrpc 2010-07-27 19:48:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0566.html


Note You need to log in before you can comment on or make changes to this bug.